// Sample2_SWF_FLV_EmbeddingDlg.h : header file
//

#pragma once


// CSample2_SWF_FLV_EmbeddingDlg dialog
class CSample2_SWF_FLV_EmbeddingDlg : public CDialog
{
private:
	HWND m_hwndFlashPlayerControl;

// Construction
public:
	CSample2_SWF_FLV_EmbeddingDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	enum { IDD = IDD_SAMPLE2_SWF_FLV_EMBEDDING_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support


// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnBnClickedPlayEmbeddedSwf();
	afx_msg void OnBnClickedPlayEmbeddedFlv();
	afx_msg void OnBnClickedCheckStandardMenu();
	afx_msg void OnBnClickedCheckSounds();
	afx_msg void OnBnClickedSite();
	afx_msg void OnBnClickedOrder();
};
